Start Stop Managed Instance Schedules - Get
取得受控實例的啟動/停止排程。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
managed
|
path | True |
string |
受控實例的名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
start
|
path | True |
受控實例的啟動/停止排程名稱。 |
|
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Gets the managed instance's Start/Stop schedule.
範例要求
範例回覆
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
定義
| 名稱 | Description |
|---|---|
|
created |
建立資源的身分識別類型。 |
|
Day |
維護時間範圍。 |
|
Error |
資源管理錯誤附加資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
錯誤回應 |
|
Schedule |
排程資訊,描述伺服器何時應該啟動或停止。 |
|
Start |
受控實例的啟動/停止排程。 |
|
Start |
|
|
system |
與建立和上次修改資源相關的元數據。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DayOfWeek
維護時間範圍。
| 值 | Description |
|---|---|
| Sunday |
星期日 |
| Monday |
星期一 |
| Tuesday |
星期二 |
| Wednesday |
星期三 |
| Thursday |
星期四 |
| Friday |
星期五 |
| Saturday |
星期六 |
ErrorAdditionalInfo
資源管理錯誤附加資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
附加資訊。 |
| type |
string |
其他資訊類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤附加資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤物件。 |
ScheduleItem
排程資訊,描述伺服器何時應該啟動或停止。
| 名稱 | 類型 | Description |
|---|---|---|
| startDay |
開始日。 |
|
| startTime |
string |
開始時間。 |
| stopDay |
停止一天。 |
|
| stopTime |
string |
停止時間。 |
StartStopManagedInstanceSchedule
受控實例的啟動/停止排程。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| id |
string (arm-id) |
資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
|
| name |
string |
資源的名稱 |
|
| properties.description |
string |
排程的描述。 |
|
| properties.nextExecutionTime |
string |
下一個動作將在對應的排程時區中執行時的時間戳。 |
|
| properties.nextRunAction |
string |
要執行的下一個動作 (啟動或停止) |
|
| properties.scheduleList |
排程清單。 |
||
| properties.timeZoneId |
string |
UTC |
排程的時區。 |
| systemData |
Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。 |
||
| type |
string |
資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」 |
StartStopScheduleName
| 值 | Description |
|---|---|
| default |
預設 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
資源上次修改的時間戳記 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |